package io.gisbi.chart.dao.auto.mapper;

import io.gisbi.chart.dao.auto.entity.CoreChartView;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 组件图表表 Mapper 接口
 * </p>
 *
 * @Author bi-coder
 * @since 2024-12-12
 */
@Mapper
public interface CoreChartViewMapper extends BaseMapper<CoreChartView> {

    @Select("SELECT DISTINCT\n" +
            "\tccv.id \n" +
            "FROM\n" +
            "\tcore_chart_view ccv\n" +
            "\tINNER JOIN data_visualization_info dvi ON ccv.scene_id = dvi.id\n" +
            "\tWHERE dvi.app_id=#{appId}")
    List<Long> selectChatViewIds(@Param("appId")String appId);
}
