package io.gisbi.visualization.dao.auto.mapper;

import io.gisbi.visualization.dao.auto.entity.VisualizationLinkJumpInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 跳转配置表 Mapper 接口
 * </p>
 *
 * @Author bi-coder
 * @since 2024-09-19
 */
@Mapper
public interface VisualizationLinkJumpInfoMapper extends BaseMapper<VisualizationLinkJumpInfo> {

    @Select("SELECT\n" +
            "\tvlji.id \n" +
            "FROM\n" +
            "\tvisualization_link_jump_info vlji\n" +
            "\tINNER JOIN visualization_link_jump vlj ON vlj.id = vlji.link_jump_id\n" +
            "\tINNER JOIN data_visualization_info dvi ON dvi.id=vlj.source_dv_id\n" +
            "\tWHERE dvi.app_id =#{appId}")
    List<Long> selectInfoIds(@Param("appId")String appId);
}
