package io.gisbi.visualization.dao.auto.mapper;

import io.gisbi.visualization.dao.auto.entity.VisualizationLinkJump;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @Author bi-coder
 * @since 2023-09-22
 */
@Mapper
public interface VisualizationLinkJumpMapper extends BaseMapper<VisualizationLinkJump> {

    @Select("SELECT\n" +
            "\tvlj.id \n" +
            "FROM\n" +
            "\tvisualization_link_jump vlj\n" +
            "\tINNER JOIN data_visualization_info dvi ON dvi.id = vlj.source_dv_id \n" +
            "WHERE\n" +
            "\tdvi.app_id = #{appId}")
    List<Long> selectLinkJumpIds(@Param("appId")String appId);
}
