package io.gisbi.visualization.dao.auto.mapper;

import io.gisbi.visualization.dao.auto.entity.VisualizationLinkage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @Author bi-coder
 * @since 2023-09-22
 */
@Mapper
public interface VisualizationLinkageMapper extends BaseMapper<VisualizationLinkage> {

    @Select("SELECT DISTINCT\n" +
            "\tccv.id \n" +
            "FROM\n" +
            "\tvisualization_linkage vl\n" +
            "\tINNER JOIN core_chart_view ccv ON vl.source_view_id = ccv.id\n" +
            "\tINNER JOIN data_visualization_info dvi ON ccv.scene_id = dvi.id \n" +
            "WHERE\n" +
            "\tdvi.app_id = #{appId}")
    List<Long> selectLinkageIds(@Param("appId")String appId);

}
