package io.gisbi.visualization.dao.auto.mapper;

import io.gisbi.visualization.dao.auto.entity.VisualizationOuterParamsInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 外部参数配置表 Mapper 接口
 * </p>
 *
 * @Author bi-coder
 * @since 2024-09-09
 */
@Mapper
public interface VisualizationOuterParamsInfoMapper extends BaseMapper<VisualizationOuterParamsInfo> {

    @Select("SELECT\n" +
            "\tvopi.params_info_id \n" +
            "FROM\n" +
            "visualization_outer_params_info vopi \n" +
            "INNER JOIN visualization_outer_params vop ON vopi.params_id=vop.params_id\n" +
            "INNER JOIN data_visualization_info dvi ON vop.visualization_id = dvi.id \n" +
            "WHERE\n" +
            "\tdvi.app_id = #{appId}")
    List<Long> selectParamsInfoIds(@Param("appId")String appId);
}
