package io.gisbi.visualization.dao.auto.mapper;

import io.gisbi.visualization.dao.auto.entity.VisualizationOuterParams;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 外部参数关联关系表 Mapper 接口
 * </p>
 *
 * @Author bi-coder
 * @since 2024-09-09
 */
@Mapper
public interface VisualizationOuterParamsMapper extends BaseMapper<VisualizationOuterParams> {

    @Select("SELECT\n" +
            "\tvop.params_id \n" +
            "FROM\n" +
            "\tvisualization_outer_params vop\n" +
            "\tINNER JOIN data_visualization_info dvi ON vop.visualization_id = dvi.id \n" +
            "WHERE\n" +
            "\tdvi.app_id = #{appId}")
    List<Long> selectOuterParamIds(@Param("appId")String appId);
}
